Eksportuj transkrypcję projektu
curl --request POST \
--url https://api.voicecheap.ai/v1/projects/{projectId}/transcript \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": true
}
'import requests
url = "https://api.voicecheap.ai/v1/projects/{projectId}/transcript"
payload = {
"source": "<string>",
"targetLanguage": "<string>",
"outputFormat": "<string>",
"includeSpeakerLabels": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: '<string>',
targetLanguage: '<string>',
outputFormat: '<string>',
includeSpeakerLabels: true
})
};
fetch('https://api.voicecheap.ai/v1/projects/{projectId}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transkrypcja
Eksportuj transkrypcję projektu
Pobierz oryginalną lub przetłumaczoną transkrypcję projektu w formacie JSON, SRT lub VTT
Eksportuj transkrypcję projektu
Eksportuj transkrypcję projektu
Pobierz transkrypcję z istniejącego projektu VoiceCheap bez użycia wewnętrznych punktów końcowych aplikacji internetowej. Punkt końcowy obsługuje transkrypcję źródłową oraz każdą dostępną transkrypcję w języku docelowym. Pomyślne żądania zwracają HTTP200.
Żądanie
string
wymagane
Twój klucz API VoiceCheap.
string
wymagane
Identyfikator projektu zwrócony przez Utwórz projekt lub Rozpocznij tłumaczenie.
string
wymagane
original lub translated.string
Wymagane, gdy
source to translated. Użyj nazwy języka docelowego zapisanej w projekcie, takiej jak french.string
domyślnie:"json"
json, srt lub vtt.boolean
domyślnie:"false"
Uwzględnij widoczne etykiety mówców w SRT lub VTT. JSON zawsze zawiera numery mówców.
Przykłady
cURL — Original JSON
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "original",
"outputFormat": "json"
}'
cURL — Translated SRT
curl -X POST "https://api.voicecheap.ai/v1/projects/project_123/transcript" \
-H "x-api-key: vc_your-api-key" \
-H "Content-Type: application/json" \
-d '{
"source": "translated",
"targetLanguage": "french",
"outputFormat": "srt",
"includeSpeakerLabels": true
}' \
--output project_123-fr.srt
workId dla przetłumaczonego wyniku.
Błędy
| Status | Kod | Opis |
|---|---|---|
| 400 | TARGET_LANGUAGE_REQUIRED | Zażądano przetłumaczonego wyniku bez podania języka |
| 401 | INVALID_API_KEY | Klucz API jest brakujący lub nieprawidłowy |
| 403 | FORBIDDEN | Klucz API nie ma dostępu do tego projektu |
| 404 | PROJECT_NOT_FOUND | Projekt nie istnieje |
| 404 | TRANSCRIPT_NOT_FOUND | Żądany transkrypcja źródłowa lub przetłumaczona jest nieobecna |
| 409 | TRANSCRIPT_NOT_READY | Żądana transkrypcja jest w trakcie przetwarzania |
Czy ta strona była pomocna?

